Subject: Re: bug#13546: 24.2.92; Error(s) when sending emails

From: "Sebastien Vauban" <[email-masked]>
Date: Thu, 28 Feb 2013 17:52:16 +0100

Dear Eli,

Eli Zaretskii wrote:
>> From: Stefan Monnier <[email-masked]>
>> Cc: Sebastien Vauban <[email-masked]>,  [email-masked]
>> Date: Thu, 28 Feb 2013 08:42:18 -0500
>> 
>> > The messages just say that Emacs is using up a lot of memory for some
>> > reason.
>> 
>> Indeed.  Most likely the memory is used by C-level objects rather than
>> by Elisp objects, but in case these are Elisp objects, you can install
>> memory-usage (available from GNU ELPA) and do M-x memory-usage when the
>> process's size is suspicious (assuming that at that point Emacs is
>> still sufficiently usable to run the above command).
>
> Since this happens when sending email, i.e. opening network
> connections, I suspect that memory might be eaten up by reader threads
> we start to support each connection.  This is further exacerbated by
> the fact that Sebastien uses TLS connections for email, so perhaps
> emacs_gnutls_pull is part of the problem.
>
> Sebastien, if the latest emacs-24 binary still gives you trouble,
> please try separate the sub-process and Helm stuff from the email
> stuff.  That is, start 2 sessions of Emacs: one that uses Helm, but
> does not use email, the other that uses email, but not Helm (or
> subprocess-related commands in general).  I'd like to know whether
> none, one, or both of theses sessions will exhibit some abnormal
> symptoms after several hours.

Very clear mission; and, yes, very important distinctions to be made.

I'll report you anything as soon as it happens...

Best regards,
  Seb

-- 
Sebastien Vauban